Post 124646

@mcdemarco
Any Jekyll experts out there? I lost my Jekyll in the upgrade to Sierra, and when I reinstalled I discovered (through much experimentation and subtle SO clues) that some parts of my website will only generate in the 2.1 releases, not 2.2 and above.
@mcdemarco
I sort of figured it out: https://github.com/jekyll/jekyll-help/issues/223#issuecomment-308140360

I felt some deja vu about maybe having figured this out before. Just one of those times I wish I had my ADN archive; I'm sure I would have posted about it.
@jd
@mcdemarco Not sure if I'm an expert, but what errors are you seeing (if any)?
@jd Jekyll wouldn't build markdown files without frontmatter. Downgrading brought back this anti-documented but very convenient behavior. There's a plugin out there somewhere to do this for posts and/or pages, but not for collections where I needed it.

Go to the App Directory to explore the network more!